> For the complete documentation index, see [llms.txt](https://docs.lime-pay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/nigeria.md).

# Nigeria

## Required fields

| Field                  | Format                                                                                        | Description                                                                                |
| ---------------------- | --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                        | Cashouts login                                                                             |
| `pass`                 | String                                                                                        | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                      | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/knowledge-base/countries-specifications.md#documents-validations) | Beneficiary's document ID                                                                  |
| `country`              | `NG`                                                                                          | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `NGN` / `USD`                                                                                 | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                  | Cashout amount                                                                             |
| `bank_account`         | See [validations below](#document-validations)                                                | Beneficiary's bank account                                                                 |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)             | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                      | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                      | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name | Bank code | Format  | Example               |
| --------- | :-------: | ------- | --------------------- |
| All       |     -     | Numeric | 123456789, 9283749293 |

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

{% tabs %}
{% tab title="Request" %}

```
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "NG",
    "amount": 100,
    "currency": "NGN",
    "bank_account": "123456789",
    "bank_code": "11", 
    "document_id": "892374233",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Response" %}

```
external_id=100365001A2538925094
cashout_id=197824123
date=2025-03-18 10:10:10
bank_reference_id=999999250318115805775951234567
comments=
control=50553B0A13419744FF8CFFAD6711829863B5152E702FCDB123456789735671
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
We now return session ID for cashouts in Nigeria as the bank\_reference\_id field in the API response as well as the API callback
{% endhint %}

## Bank Codes

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

| Bank                      | Bank Code |
| ------------------------- | --------- |
| Polaris Bank              | 8         |
| Taj Bank                  | 26        |
| Globus Bank               | 103       |
| Titan-Paystack            | 100039    |
| Paga                      | 327       |
| One Finance               | 100026    |
| GoMoney                   | 100022    |
| Keystone Bank Ltd         | 82        |
| Kuda Bank                 | 50211     |
| Zenith Bank International | 100034    |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/nigeria.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
